function plugindef()
   -- This function and the 'finaleplugin' namespace
   -- are both reserved for the plug-in definition.
   finaleplugin.MinJWLuaVersion = "0.45"
   finaleplugin.Author = "Chris"
   finaleplugin.Version = "1.2 beta"
   finaleplugin.RevisionNotes = [[
1.1 : autre méthode : tête de note cachée
]]
   finaleplugin.Date = "28/07/2016"
   finaleplugin.AuthorEmail = "chris@finale-logiciel-aide-gravure-musicale.eu"
   finaleplugin.CategoryTags = "Note"
   return "Unissons blanche/croche sur 2 couches", "Unissons blanche/croche sur 2 couches", ""
end

-- retourne la fonte musicale du document
local function getMainFont()
	local mainFont = finale.FCFontPrefs()
	mainFont:Load(finale.FONTPREF_MUSIC)
	local fontinfo = mainFont:CreateFontInfo()
	return fontinfo
end

local function selectRegion(titre)
	local musicregion = finale.FCMusicRegion()
	musicregion:SetCurrentSelection()
	if musicregion:IsEmpty() then
		finenv.UI():AlertInfo("Veuillez sélectionner une région", titre)
		return nil
	end
	return musicregion
end

local function main()
	local titre = plugindef() .. " - " .. finaleplugin.Version
	
	local musicregion = selectRegion(titre)
	if musicregion == nil then return end

	local tetesModif =0    -- nombre de notes modifiees

	for e1 in eachentrysaved(musicregion, 1) do		-- calque 1
		-- pour chaque note (sauf accord), chercher les unissons
		if e1:IsNote() and e1.Count == 1 then
			for e2 in eachentrysaved(musicregion, 2) do		-- calque 2

				if e2:IsNote() and e1.Measure == e2.Measure  and e1.MeasurePos == e2.MeasurePos
				and e2.Count == 1 and e1:GetItemAt(0):CalcMIDIKey() == e2:GetItemAt(0):CalcMIDIKey ()
				and e1.Duration < finale.HALF_NOTE and e2:CalcNondottedDuration() == finale.HALF_NOTE  then

					-- Creer un objet de modification de tete de note
					local notehead = finale.FCNoteheadMod()

					-- Supprimer les éventuelles têtes de note
					local highestnote = e1:CalcHighestNote(nil)
					if notehead:GetUseCustomChar() then
						notehead:EraseAt(highestnote)
					end

					-- Créer une "custom" fonte à partir de la fonte principale avec l'attribut "hidden"
					local fontinfo = getMainFont()
					notehead:SetFontInfo(fontinfo)
                    notehead.CustomChar = 250
					notehead.UseCustomFont = true
					notehead:SaveAt(highestnote)

					-- Supprimer les positionnements manuels
					e1.ManualPosition = 0
					e2.ManualPosition = 0

					tetesModif = tetesModif + 1
				end
			end
		end
	end

	finenv.UI():AlertInfo(tetesModif .. " têtes de notes modifiées", titre)
end

-- DEBUT DU PROGRAMME
main()